Package org.italiangrid.voms.asn1

# Interface VOMSConstants

All Known Implementing Classes:
  `LeafACLookupStrategy`, `LeafVOMSExtensionNormalizationStrategy`, `VOMSACGenerator`, `VOMSACUtils`

public interface VOMSConstants
A set of useful constants for ASN.1 parsing of VOMS attributes.

Author:
  Andrea Ceccanti

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.bouncycastle.asn1.ASN1ObjectIdentifier`
`VOMS_CERTS_OID`
The VOMS Certs extension OID.
`static final org.bouncycastle.asn1.ASN1ObjectIdentifier`
`VOMS_EXTENSION_OID`
The VOMS attribute certificate extension OID.
`static final org.bouncycastle.asn1.ASN1ObjectIdentifier`
`VOMS_FQANS_OID`
The VOMS attributes OID.
`static final org.bouncycastle.asn1.ASN1ObjectIdentifier`
`VOMS_GENERIC_ATTRS_OID`
The VOMS Generic attributes extension OID.
`static final Set<org.bouncycastle.asn1.ASN1ObjectIdentifier>`
`VOMS_HANDLED_EXTENSIONS`

## Field Details

### VOMS_EXTENSION_OID

static final org.bouncycastle.asn1.ASN1ObjectIdentifier VOMS_EXTENSION_OID
The VOMS attribute certificate extension OID.

### VOMS_FQANS_OID

static final org.bouncycastle.asn1.ASN1ObjectIdentifier VOMS_FQANS_OID
The VOMS attributes OID.

### VOMS_CERTS_OID

static final org.bouncycastle.asn1.ASN1ObjectIdentifier VOMS_CERTS_OID
The VOMS Certs extension OID.

### VOMS_GENERIC_ATTRS_OID

static final org.bouncycastle.asn1.ASN1ObjectIdentifier VOMS_GENERIC_ATTRS_OID
The VOMS Generic attributes extension OID.

### VOMS_HANDLED_EXTENSIONS

static final Set<org.bouncycastle.asn1.ASN1ObjectIdentifier> VOMS_HANDLED_EXTENSIONS